Retrieves all the type

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

marketing_segment
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

string

Max length: 50

segment

Marketing segment Name

string

Required

Max length: 50

description

Description of the segment

string

Max length: 255

visit_frequency_days_interval

Number of days between 2 visits

integer
frequency_logic

Logic to apply for the frequency, which last events (value can be ORDER,MEETING_COMPLETED or ORDER_OR_MEETING_COMPLETED )

string
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "50810fd9-96b4-4b69-98e6-5e0913f84c9b",
  "code": "sample string 2",
  "segment": "sample string 3",
  "description": "sample string 4",
  "visit_frequency_days_interval": 5,
  "frequency_logic": "sample string 6",
  "sales_organization_id": "9d9a54a0-a977-4887-b115-058da4ab8b02",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "368f6dac-c32a-4af5-b936-4f6b4a4b1556",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "aa623eae-c5ab-42f6-b0c5-931920359b69",
    "db_currency_id": "b600f24a-1e60-48dd-926d-2f24482555eb",
    "db_language_id": "1ec84c09-bd74-4ab4-90f5-3aec0216ee3e",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-07T17:54:29.108408+00:00"
  },
  "modified_dateutc": "2026-07-07T17:54:29.108408+00:00"
}